Results 1 to 3 of 3
  1. #1
    javaplus is offline Member
    Join Date
    Nov 2007
    Posts
    97
    Rep Power
    0

    Default Using different versions of Java

    I have a package (say packageA) compiled with Java 1.4.
    I have another package (say packageB) compiled with Java 6.

    --- Can I use packageB in packageA? What are the implications?

    Regards.

  2. #2
    roots's Avatar
    roots is offline Moderator
    Join Date
    Jan 2008
    Location
    Dallas
    Posts
    293
    Rep Power
    7

    Default

    if you are running in java 1.4 then you need to compile packageB with target JVM to be less than 1.5

    if you are running on 1.6 there should be no problem. You can use both the package..
    Hope i understood your question ..
    dont worry newbie, we got you covered.

  3. #3
    javaplus is offline Member
    Join Date
    Nov 2007
    Posts
    97
    Rep Power
    0

Similar Threads

  1. Java Versions
    By hiranya in forum New To Java
    Replies: 6
    Last Post: 10-27-2009, 01:42 PM
  2. JDK versions on web server and client machines
    By sunjavaboy in forum New To Java
    Replies: 1
    Last Post: 03-21-2008, 05:59 AM
  3. Can I delete/uninstall older versions of Java?
    By LudwigKarl in forum New To Java
    Replies: 3
    Last Post: 03-19-2008, 11:23 AM
  4. Concurrent Versions System (CVS)
    By JavaForums in forum Eclipse
    Replies: 0
    Last Post: 05-02-2007, 04:03 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •